using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _4_Clones
{
    public class Clone : IDisposable
    {
        public int ID { get; private set; }

        public Clone(int ID)
        {
            this.ID = ID;
        }

        public void Dispose()
        {
            MessageBox.Show("Zostałem usunięty!", "Klon numer " + ID + " mówi...");
        }
        ~Clone()
        {
            MessageBox.Show("Aaaaaa! Dopadłeś mnie!", "Klon numer " + ID + " mówi...");
        }
    }
}
